Employment records & compliance

Update E Verify Status

Records an employee's E-Verify case number and result into work-authorization country extensions.

POSThttps://api.toku.com/hris/update-e-verify-status

Not available to API keys yet. It will need identity:write.

curl --request POST \
  --url 'https://api.toku.com/hris/update-e-verify-status' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "eVerifyCaseNumber": "string",
  "eVerifyResult": "EMPLOYMENT_AUTHORIZED"
}'
200 response
{
  "success": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIDstring<uuid>required
eVerifyCaseNumberstringrequired

Allowed: 1 to 50 characters

eVerifyResultstringrequired

Available options: EMPLOYMENT_AUTHORIZED, TENTATIVE_NONCONFIRMATION, FINAL_NONCONFIRMATION

Response

200Successful response
successbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits